QGIS Application - Feature request #12944
PostGIS: use fallback_application_name instead of application_name
2015-06-11 09:46 AM - Jerome P

Status: Open

Priority: Normal

Assignee:

Category: Data Provider/PostGIS

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 21024
Description

In the source code of QGIS 2.8, | can see that after opening a PostGIS connection, QGIS calls:

SET application_name='"QGIS'
PostGIS/PostgresQL offers a second variable called "fallback_application_name" (See
http://www.postgresgl.org/docs/9.3/static/libpg-connect.html). Only "fallback_application_name" can be overwritten by a user.
"application_name" can't be overwritten.

QGIS should use this second variable instead of the first one so that it is possible for the user to override the value (for instance using the
environment variable PGAPPNAME).

This would allow to configure to QGIS to replace "QGIS" through something like "QGIS for user1" (I would get the username from the
operating system, set the environment variable and then start QGIS).

History

#1 - 2015-06-11 12:38 PM - Jiirgen Fischer

- Tracker changed from Bug report to Feature request

#2 - 2017-05-01 12:47 AM - Giovanni Manghi
- Easy fix? set to No

#3 - 2017-09-08 01:35 PM - Juirgen Fischer

- Assignee deleted (Jiirgen Fischer)
